@import "../../assets/variables";

.text-input {
  border: 1px solid $color-border;
  border-radius: 4px;
  padding: 13px 16px 13px;
  font-size: 12px;
  width: 100%;

  color: $color-dark;

  transition: border-color .25s ease;
  will-change: border-color;

  &:hover,
  &:focus {
    border-color: darken($color-border, 20%);
  }

  &::placeholder {
    color: $color-border;
    opacity: 1;
  }
}